Package io.dapr.v1

# Interface DaprProtos.AppConnectionHealthPropertiesOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.AppConnectionHealthProperties`, `DaprProtos.AppConnectionHealthProperties.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.AppConnectionHealthPropertiesOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getHealthCheckPath()`
`string health_check_path = 1 [json_name = "healthCheckPath"];`
`com.google.protobuf.ByteString`
`getHealthCheckPathBytes()`
`string health_check_path = 1 [json_name = "healthCheckPath"];`
`String`
`getHealthProbeInterval()`
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`
`com.google.protobuf.ByteString`
`getHealthProbeIntervalBytes()`
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`
`String`
`getHealthProbeTimeout()`
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`
`com.google.protobuf.ByteString`
`getHealthProbeTimeoutBytes()`
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`
`int`
`getHealthThreshold()`
`int32 health_threshold = 4 [json_name = "healthThreshold"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getHealthCheckPath

String getHealthCheckPath()
`string health_check_path = 1 [json_name = "healthCheckPath"];`

Returns:
  The healthCheckPath.

### getHealthCheckPathBytes

com.google.protobuf.ByteString getHealthCheckPathBytes()
`string health_check_path = 1 [json_name = "healthCheckPath"];`

Returns:
  The bytes for healthCheckPath.

### getHealthProbeInterval

String getHealthProbeInterval()
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`

Returns:
  The healthProbeInterval.

### getHealthProbeIntervalBytes

com.google.protobuf.ByteString getHealthProbeIntervalBytes()
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`

Returns:
  The bytes for healthProbeInterval.

### getHealthProbeTimeout

String getHealthProbeTimeout()
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`

Returns:
  The healthProbeTimeout.

### getHealthProbeTimeoutBytes

com.google.protobuf.ByteString getHealthProbeTimeoutBytes()
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`

Returns:
  The bytes for healthProbeTimeout.

### getHealthThreshold

int getHealthThreshold()
`int32 health_threshold = 4 [json_name = "healthThreshold"];`

Returns:
  The healthThreshold.